Skip to content

updateIssueStatus

WRITE

Update issue status.

POST /api/v1/quality/updateIssueStatus
curl -X POST '<your-host>/api/v1/quality/updateIssueStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Registered",
    "assignee": "string",
    "closeDate": "string"
  }'

Parameters

ParameterType
"Registered""In Progress""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Registered",
        "In Progress",
        "Closed"
      ]
    },
    "assignee": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "closeDate": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "id",
    "status",
    "assignee",
    "closeDate"
  ]
}